// 清空字段值
export default {
    execute:function(){
        console.log("进入到清空字段值前端公式");
        if(arguments&&arguments[0]&&arguments[1]){
            let _fields = arguments[0],//选择的字段
               context = arguments[1];

            for(const iterator of  _fields){

                if( iterator instanceof BillDataNode){ //判断是否为单据字段（双击选择的参数）
                   
                    let _key = iterator.FieldCode;
                    let table = iterator.FieldTableCode//字段所在表

                    if(iterator.dynamicNodeFactory&&iterator.dynamicNodeFactory.methodJson){
                        let linkId = table + '.' + _key;
                        iterator.dynamicNodeFactory.methodJson.SetFieldData('',linkId,'');
                    } 


                    // let table_Obj = context.getTableType(table);
                    // if(table_Obj && table_Obj.type == "master"){//如果是主表字段
                    //     //获取字段对应值
                    //     context.getMasterData().setValue(_key,'');
                    // }else{//如果是子表字段
                    //     //怎样获取光标所在的子表行
                    // }

                }else{
                    GAMS.Common.messagePrompt('配置参数必须为当前单据字段');
                }
            }
           
            return '';

        }else{
            GAMS.Common.messagePrompt('ClearFieldValue公式：参数配置有误');
            // this.$Message({
            //     message:"error",
            //     type:'error'//type 取值 ‘success’(成功) /warning(警告)/info(消息)/error(错误)/;
            //     })
            return '';
        }
    },
    getResultType:function(){
        return FMR.ConstDataTypes.General;
    }
}